%define module	Tie-TextDir
%define version 0.04
%define release 4mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	http://www.cpan.org/authors/id/KWILLIAMS/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
Prefix:         %{_prefix}
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/Tie

%changelog
* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.04-4mdk
- rebuild for perl 5.8.0

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-3mdk
- rebuild for new perl 5.8.0.
- install in vendor_perl.
- remove filelist.

* Mon Nov 12 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-2mdk
- Fix source permission warning (rpmlint).

* Tue Nov 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-1mdk
- First RPM
